summaryrefslogtreecommitdiffhomepage
path: root/android
diff options
context:
space:
mode:
Diffstat (limited to 'android')
-rwxr-xr-xandroid/build.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/android/build.sh b/android/build.sh
index c1c29f55b4..c6c04ac702 100755
--- a/android/build.sh
+++ b/android/build.sh
@@ -5,6 +5,11 @@ set -eu
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "$SCRIPT_DIR"
+if test -n "$(git status --porcelain)"; then
+ echo "Dirty working directory! Will not accept that for an official release."
+ exit 1
+fi
+
echo "Computing build version..."
echo ""
PRODUCT_VERSION=$(cargo run -q --bin mullvad-version versionName)